2Do

Will 2Do for Mac support Yosemite? Why is it now El Capitan (10.11) only?

UPDATE: v2.2 (coming soon) will support 10.10!

We’re very sorry, but there is no supported version that will work on an older OS. We know this is sad news for users not willing to update to El Capitan just yet, but really, it’s not at all economical these days to support an older OS, especially for an app that pumps out a free update after another.

For developers it is just not feasible to support older versions of the OS, given the fast pace at which these Operating Systems are changing, and the amount of effort that goes into supporting new functionality and subtle changes in between updates. There are far too many changes in each OS update for us to be able to cleanly support the latest OS as well as an older one. It only increases the probability of introducing new and strange bugs that are difficult to trace and debug. 

Sadly the only way to install and use the latest update of 2Do on the Mac is to upgrade to El Capitan 10.11. At the time of writing, El Capitan adoption rate is steadily rising and currently stands at 35% (while Yosemite is declining and is at 39%); a pretty strong indication of where things are going:


Attached Files
There are no attachments for this article.
Related Articles
How do I add items to Checklists or Projects?
Viewed 17,589.00 times since Fri, Jan 15, 2010
Does 2Do support syncing with Exchange?
Viewed 9,231.00 times since Sat, Nov 22, 2014
I don’t get any sound for my alarms, only a message
Viewed 6,501.00 times since Wed, Jan 20, 2010
I see a ’Forbidden’ error message during sync with iCloud
Viewed 3,677.00 times since Sat, Nov 22, 2014
2Do for Mac is hanging at launch and crashing when I try to open preferences
Viewed 2,926.00 times since Sat, Dec 20, 2014